Create a dashboard
const url = 'https://example.com/v1/dashboard/';const options = { method: 'POST', headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'}, body: '{"dashboard_type":0,"dashboardlayout":"2489E9AD-2EE2-8E00-8EC9-32D5F69181C0","description":"example","name":"example","tags":[{"name":"example","tag_type":0}]}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://example.com/v1/dashboard/ \ --header 'Authorization: Bearer <token>' \ --header 'Content-Type: application/json' \ --data '{ "dashboard_type": 0, "dashboardlayout": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0", "description": "example", "name": "example", "tags": [ { "name": "example", "tag_type": 0 } ] }'Create a new dashboard.
Authorizations
Section titled “Authorizations”Request Bodyrequired
Section titled “Request Bodyrequired”A ModelSerializer that takes an additional fields argument that
controls which fields should be displayed.
object
0- Custom1- Template
For app mobile compatibility
For app mobile compatibility
For app mobile compatibility
A ModelSerializer that takes an additional fields argument that
controls which fields should be displayed.
object
0- Automatic API1- Created by Glouton2- Created by frontend3- Automatic Glouton4- Automatic API for agent’s service10- No type
A ModelSerializer that takes an additional fields argument that
controls which fields should be displayed.
object
0- Custom1- Template
For app mobile compatibility
For app mobile compatibility
For app mobile compatibility
A ModelSerializer that takes an additional fields argument that
controls which fields should be displayed.
object
0- Automatic API1- Created by Glouton2- Created by frontend3- Automatic Glouton4- Automatic API for agent’s service10- No type
Responses
Section titled “Responses”A ModelSerializer that takes an additional fields argument that
controls which fields should be displayed.
object
0- Custom1- Template
For app mobile compatibility
For app mobile compatibility
For app mobile compatibility
A ModelSerializer that takes an additional fields argument that
controls which fields should be displayed.
object
0- Automatic API1- Created by Glouton2- Created by frontend3- Automatic Glouton4- Automatic API for agent’s service10- No type
Example
{ "dashboard_type": 0, "tags": [ { "tag_type": 0 } ]}